diff --git a/acado/utils/acado_io_utils.cpp b/acado/utils/acado_io_utils.cpp
index 56e8808..f40a978 100644
--- a/acado/utils/acado_io_utils.cpp
+++ b/acado/utils/acado_io_utils.cpp
@@ -40,7 +40,7 @@
 #include <windows.h>
 #include <direct.h>
 
-#elif defined( LINUX )
+#elif defined( LINUX )  || defined(__QNXNTO__)
 
 #include <sys/stat.h>
 #include <sys/time.h>
@@ -266,7 +266,7 @@ returnValue acadoCreateFolder(	const std::string& name
 		return ACADOERROR( RET_INVALID_ARGUMENTS );
 	}
 
-#elif defined( LINUX )
+#elif defined( LINUX ) || defined(__QNXNTO__)
 
 	struct stat st = {0};
 
@@ -362,7 +362,7 @@ double acadoGetTime( )
 	QueryPerformanceFrequency(&frequency);
 	QueryPerformanceCounter(&counter);
 	current_time = ((double) counter.QuadPart) / ((double) frequency.QuadPart);
-	#elif defined(LINUX)
+	#elif defined(LINUX)  || defined(__QNXNTO__)
 	struct timeval theclock;
 	gettimeofday( &theclock,0 );
 	current_time = 1.0*theclock.tv_sec + 1.0e-6*theclock.tv_usec;
